#
# spec file for package tix (Version 8.1.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv itcl klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcl-devel tcpd texinfo timezone tk tk-devel unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           tix
BuildRequires:  itcl tk-devel xorg-x11-devel
%define V_TIX   8.1.%tcl_version
%define prefix	/usr
%define mandir  /usr/share/man
Version:        8.1.4
Release:        91.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Tools for tk
Group:          Development/Libraries/Tcl
Autoreqprov:    on
Source:         %name-%version.tar.bz2
Patch0:         %name.patch
Group:          Development/Libraries/Tcl
License:        Other License(s), see package, distributable
Summary:        Tools for tk
Provides:       tixwish tixwish%V_TIX

%description
The Tix library has, by far, the greatest collection of widgets for
programming with Tcl/Tk. Highlights include: hierarchical list box,
directory list/tree view, spreadsheet, tabular list box, combo box,
Motif style file select box, MS Windows style file select box, paned
window, note book, spin control widget and many more. With these new
widgets, your applications will look great and interact with your users
in intuitive ways.



%debug_package
%prep
%setup -q 
find -name .cvsignore | xargs rm -fv
%patch
find -name configure | xargs chmod a+rx

%build
export CFLAGS="$RPM_OPT_FLAGS"
CONFIGURE_OPTS="
 --with-tclconfig=%_libdir
 --with-tkconfig=%_libdir
 --with-tclinclude=%_includedir
 --with-tkinclude=%_includedir
 --enable-gcc
 --disable-sam
 --enable-shared
 --prefix=%_prefix
 --libdir=%_libdir
 --mandir=%_mandir
"
chmod a+x install.sh
cd unix
autoconf --force
./configure $CONFIGURE_OPTS
cd tk%tcl_version 
autoconf --force
./configure $CONFIGURE_OPTS
make CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
export LD_LIBRARY_PATH=$PWD/%{TCL}/unix
cd unix
#mkdir -p %buildroot/{%_prefix,%_libdir,%_mandir}
mkdir -p %buildroot%tclscriptdir
make install \
	DESTDIR=%buildroot \
	tclscriptdir=%tclscriptdir
mv %buildroot%_mandir/mann/tixwish.1 %buildroot%_mandir/man1
ln -sf tixwish%V_TIX %buildroot%{_prefix}/bin/tixwish

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ABOUT* README* docs Roadmap.html TODO.html
%doc demos/c-code
%doc demos/et
%doc %_mandir/*/*
%_bindir/*
%_libdir/lib*
%_libdir/tixConfig.sh

%tclscriptdir/*
%_includedir/*

%changelog -n tix
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 - max@suse.de
- Moved script library to /usr/share/tcl .
* Thu Feb 05 2004 - max@suse.de
- Building as a shared lib again.
- Added -fno-strict-aliasing to CFLAGS.
* Thu Jan 15 2004 - max@suse.de
- New version: 8.1.4
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Jul 23 2003 - max@suse.de
- Added tk-devel to neededforbuild.
* Wed May 21 2003 - ro@suse.de
- remove .cvsignore files
- fix filelist
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
- changed neededforbuild <xdevel> to <>
* Tue Jul 09 2002 - max@suse.de
- Ready for Tcl/Tk 8.4.
- Doesn't break on KDE3 anymore [Bug #16428].
* Wed Apr 10 2002 - max@suse.de
- Fixed for new version of autobuild.
* Wed Feb 20 2002 - max@suse.de
- Fixed for lib64-s390x.
* Thu Jan 17 2002 - max@suse.de
- New version 8.1.3
- Tix is a separate package again. The new version is able to build
  without having the Tcl/Tk sources at hand.
- Don't build static libs anymore.
* Tue Nov 24 1998 - max@suse.de
- merged spec-files into tcl_new.spec
* Mon Nov 23 1998 - max@suse.de
- building with new Tcl/Tk version: 8.0.4
- tixwish is now dynamically linked to libtcl
* Wed Sep 23 1998 - ro@suse.de
- added to specfile: applx patch for tcl8.0
* Thu May 14 1998 - hf@suse.de
- english and german README.SuSE
* Mon Feb 23 1998 - hf@suse.de
- changed README.SuSE
* Mon Feb 16 1998 - hf@suse.de
- changes in spec file
* Thu Feb 05 1998 - hf@suse.de
  new package Tix for Tcl/Tk 8.0
  and new directorypath to tcl/tk in /usr/lib/tcltk
